gtranslator (50.0-2) unstable; urgency=medium

  * Remove ancient debian/NEWS
  * Update debhelper compat to 14

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jul 2026 07:43:43 +0200

gtranslator (50.0-1) unstable; urgency=medium

  * New upstream release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Update minimum meson to 1.7
  * Update Homepage
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Apr 2026 08:32:03 -0400

gtranslator (49.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update Build-Depends: libsqlite3-dev instead of libgda-5.0-dev
  * Bump minimum glib and libadwaita
  * debian/copyright: remove old FSF address
  * Remove remaining patch: no longer needed

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with libgirepository-1.0-dev
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 14:22:23 -0400

gtranslator (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Mar 2025 17:17:14 -0400

gtranslator (47.1-2) unstable; urgency=medium

  * Remove unused Build-Depends: libgdl-3-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 10:26:54 -0500

gtranslator (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 13:09:11 -0500

gtranslator (47.0-1) unstable; urgency=medium

  * New upstream release (LP: #2083743)
  * Bump minimum libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Oct 2024 07:51:23 -0400

gtranslator (46.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: desktop-file-utils

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 14:35:20 -0400

gtranslator (46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libdawaita to 1.5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 16:20:32 -0400

gtranslator (45.3-2) unstable; urgency=medium

  * Add libspelling to Build-Depends
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jan 2024 06:08:17 -0500

gtranslator (45.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Build with gtk4 & libadwaita
  * Spellchecking is temporarily unavailable until
    libspelling is accepted into Debian
  * Stop using debian/control.in and dh-sequence-gnome
  * Refresh patch

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 13:35:27 -0500

gtranslator (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build with libsoup3 instead of libsoup2.4
  * debian/control.in: Drop obsolete Build-Depends on libdazzle-1.0-dev
  * debian/control.in: Bump minimum libglib2.0-dev & libhandy-1-dev
  * Drop meson patch: applied in new release
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 16:45:34 -0400

gtranslator (41.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch to revert switch to libgda6 since it's not in Debian yet
  * Cherry-pick patch to fix build with latest meson (Closes: #1005559)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 16:15:27 -0500

gtranslator (40.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libhandy-1-dev

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Aug 2021 08:00:42 -0400

gtranslator (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.50.0
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Sep 2020 20:04:06 -0400

gtranslator (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Add libdazzle-1.0-dev to the build-dependencies
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Rename debian/NEWS.Debian -> debian/NEWS, to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Mar 2020 11:40:33 +0100

gtranslator (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libjson-glib-dev and libsoup2.4-dev
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 09:46:12 -0400

gtranslator (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on iso-codes

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 16:14:49 -0400

gtranslator (3.30.1-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:56:59 -0500

gtranslator (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-help-links.patch: applied in new release
  * Build with -Wl,-z,defs to catch undefined references

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Nov 2018 17:31:01 -0500

gtranslator (3.30.0-1) unstable; urgency=low

  * New upstream release
    - Major redesign including name change to GNOME Translation Editor
    - Plugins are no longer supported
  * Build with meson (Closes: #829791, #884714)
  * Update Build-Depends: gtkspell → gspell & gtksourceview3 → gtksourceview4
  * debian/docs: README is now README.md
  * Drop reproducible_manpage.patch: Applied in new release
  * Refresh fix-help-links.patch
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Nov 2018 09:58:52 -0400

gtranslator (2.91.7-5) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Update debhelper compat to 11
  * Build-Depend on dh-python

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 22:28:37 -0500

gtranslator (2.91.7-4) unstable; urgency=medium

  * Drop Build-Depends on libgdict-1.0-dev since gnome-dictionary 3.26
    no longer provides this library.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 11:10:24 -0400

gtranslator (2.91.7-3) unstable; urgency=medium

  [ Jordi Mallach ]
  * Point Vcs-Svn to the correct URL.
  * Set Maintainer to Debian GNOME Maintainers.

  [ Andreas Henriksson ]
  * Convert from cdbs to dh.
  * Add explicit gnome-common build-dependency (Closes: #837850)
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Add debian/patches/reproducible_manpage.patch (Closes: #783022)
    - patch by and thanks to Reiner Herrmann

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Sep 2016 09:59:20 +0200

gtranslator (2.91.7-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Jordi Mallach ]
  * Add libpeas-1.0-python2loader to Suggests, following the package split
    (closes: #817848).
  * Use HTTPS on Vcs-Browser field.
  * Bump Standards-Version to 3.9.8.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 May 2016 09:08:41 +0200

gtranslator (2.91.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/port_to_gtkspell3.patch, merged upstream.
  * Update debian/patches/fix-help-links.patch, switch back to yelp-tools and
    add missing legal.xml files which are referenced in the help pages.
  * Bump Standards-Version to 3.9.6.
  * Update Homepage: URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 May 2015 00:33:19 +0200

gtranslator (2.91.6-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libgdl-3-dev to (>= 3.6.0).

  [ Jeremy Bicha ]
  * When upgrading, note that you'll probably need to delete your
    ~/.config/gtranslator/layout.xml for the UI to show up
  * debian/patches/fix-help-links.patch:
    - Revert help system from yelp-tools back to gnome-doc-utils
      to work around broken help launching

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2013 00:58:26 +0200

gtranslator (2.91.5-3) unstable; urgency=low

  * Build-Depend on libgettextpo-dev instead of just gettext, to
    accomodate recent changes in gettext.

 -- Jordi Mallach <jordi@debian.org>  Fri, 31 May 2013 14:41:11 +0200

gtranslator (2.91.5-2) unstable; urgency=low

  * Add port_to_gtkspell3.patch: take patch from git to adapat to GtkSpell
    changes.
  * Bump to Standards-Version 3.9.4, which no changes needed.
  * Build-Depend on and include dh-autoreconf.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 May 2013 23:51:16 +0200

gtranslator (2.91.5-1) unstable; urgency=low

  * New upstream release.
  * Drop dh-autoreconf, not needed anymore.
  * Bump to debhelper compat v9.

 -- Jordi Mallach <jordi@debian.org>  Sat, 04 Aug 2012 15:15:09 +0200

gtranslator (2.91.4-1) unstable; urgency=low

  * New upstream release.
  * Bump GTK+ build-dependency as per configure.ac.
  * Drop patches, all merged upstream.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 May 2012 23:37:15 +0200

gtranslator (2.91.3-1) unstable; urgency=low

  * New upstream release.
  * Bump GLib requirements for GResource.
  * Refresh privlib patch.
  * Add format-security.patch: fix a build error caused by
    -Werror=format-security.

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Apr 2012 17:17:19 +0200

gtranslator (2.91.2-2) unstable; urgency=low

  * Move libgtranslator-private into a package-private directory. This library
    is not supposed to be installed system wide.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Apr 2012 15:31:01 +0200

gtranslator (2.91.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev and libpeas-dev.
  * Use find to delete .a and .la files.

 -- Jordi Mallach <jordi@debian.org>  Thu, 19 Apr 2012 19:48:07 +0200

gtranslator (2.90.8-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, all merged upstream.
  * Drop dh-autoreconf, not needed anymore.
  * Bump to debhelper 8.
  * Bump Standards-Version to 3.9.3, with no changes needed.
  * Define DEB_PYTHON2_MODULE_PACKAGES and include python-module.mk, and
    remove all python-support stuff to transition to dh_python2.

 -- Jordi Mallach <jordi@debian.org>  Mon, 27 Feb 2012 15:30:39 +0100

gtranslator (2.90.7-3) unstable; urgency=low

  * libgda-5.0.patch: patch from Git to add support for libgda-5.0.
  * Pass --with-gda=5.0 to configure, and bump Build-Deps to libgda5.0-dev.

 -- Jordi Mallach <jordi@debian.org>  Thu, 05 Jan 2012 16:26:00 +0100

gtranslator (2.90.7-2) unstable; urgency=low

  * Build-Depend on libgtkspell-3-dev.
  * Patch configure.ac to re-enable check for gtkspell.
  * Use dh_autoreconf to regenerate autotools.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Dec 2011 03:56:41 +0100

gtranslator (2.90.7-1) unstable; urgency=low

  * New upstream release.
  * Several bits have gone GPL2+ → GPL3+, update copyright file
    accordingly.

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Oct 2011 20:42:52 +0200

gtranslator (2.90.6-1) unstable; urgency=low

  * New upstream release.
  * Switch watch file to .xz tarballs.
  * Drop all patches; all applied upstream.
  * Update Vcs-* fields to non-redirected URLs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Oct 2011 20:32:04 +0200

gtranslator (2.90.5-3) unstable; urgency=low

  * Change the filename of the Gdl pane layout configuration file so
    a new one is generated at startup. A bug in some previous version
    of Gdl generated configs which are now invalid, making gtranslator
    unable to show anything useful in the main window (closes: #636215).

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Sep 2011 19:43:50 +0200

gtranslator (2.90.5-2) unstable; urgency=low

  * Upload to unstable.
  * Remove check-dist.mk rule.
  * Add help_display.patch to fix the help search path for the gtranslator
    manual (closes: #627514).

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jul 2011 17:07:11 +0200

gtranslator (2.90.5-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Add missing dependency on gir1.2-gucharmap-2.90. Closes: #627128.

  [ Jordi Mallach ]
  * New upstream release.
  * Bump Build-Dep on libgdict-1.0-dev to >= 3.0.1-2~, to ensure we use a
    GTK3 version.
  * Switch watch file to tar.bz2.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Jun 2011 01:00:22 +0200

gtranslator (2.90.3-1) experimental; urgency=low

  * New upstream release.
  * Add missing dependency on gir1.2-peas-1.0.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Jordi Mallach <jordi@debian.org>  Fri, 06 May 2011 20:44:54 +0200

gtranslator (2.90.2-1) experimental; urgency=low

  * New upstream release.
  * Add ${gir:Depends} to generate correct gir deps, and
    adjust gir path for DEB_DH_GIREPOSITORY_ARGS.
  * Bump Build-Deps for new requirements.
  * Update Homepage.

 -- Jordi Mallach <jordi@debian.org>  Sat, 30 Apr 2011 15:27:32 +0200

gtranslator (2.90.1-1) experimental; urgency=low

  * New upstream release.
  * Add iso-codes to both Build-Depends and Depends.
  * Bump Build-Depends to match stricter requirements.
  * Add missing dependency on gsettings-desktop-schemas.
  * Add python-support bits and ${python:Depends}, as now there's a
    python plugin.
  * Enable GObject-introspection: build-depend on gobject-introspection,
    libgirepository1.0-dev, gir1.2-gtk-3.0 and gir1.2-gucharmap-2.90.
  * Remove all .la and .a files, as well as .pyc and .pyo for the python
    code.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Apr 2011 20:40:17 +0200

gtranslator (2.90.0-1) experimental; urgency=low

  * New upstream release, ported to GTK+3.
  * Adapt Build-Depends requirements.

 -- Jordi Mallach <jordi@iti.upv.es>  Tue, 29 Mar 2011 11:43:03 +0200

gtranslator (1.9.13-1) experimental; urgency=low

  * New upstream release.
  * Include check-dist.mk.
  * Add gsettings-desktop-schemas-dev to Build-Depends.
  * Add libjson-glib-dev to Build-Depends, as required by the opentrans
    plugin.

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Nov 2010 19:59:23 +0100

gtranslator (1.9.12-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends for GLib and GTK+2, gtranslator has migrated to
    gsettings.
  * Update copyright. Thanks to Nacho Casal for pointing it out.
  * Remove Build-Depends on libdb-dev, gtranslator now uses libgda.
  * Bump Standards-Version to 3.9.1, no changes required.
  * Don't pass --disable-plugin-subversion, it's not any longer available.
  * Remove extra clean rules, no longer needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 May 2010 10:43:31 +0200

gtranslator (1.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in
    - Add Build-Depends on libgda-4.0-dev for new memory translation backend.
    - Bump Build-Depends on libgdl-1-dev to (>= 2.26.0).

 -- Michael Biebl <biebl@debian.org>  Thu, 13 May 2010 02:25:35 +0200

gtranslator (1.9.10-1) unstable; urgency=low

  * New upstream release.
  * debian/docs
    - Remove TODO file, no longer shipped in upstream tarball.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 May 2010 01:41:47 +0200

gtranslator (1.9.9-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on libunique-dev.
  * Bump Debhelper compat to 7. Adjust Build-Deps accordingly.

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Feb 2010 19:36:19 +0100

gtranslator (1.9.8-1) unstable; urgency=low

  * New upstream release.
    - fixes a crash when dealing with malformed PO headers (closes: #539231)
    - should build with binutils-gold (closes: #554756)

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Feb 2010 00:57:59 +0100

gtranslator (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Update Build-Depends to match configure.ac requirements.
  * Remove debian/links, the upstream icon install path is fixed now.

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Feb 2010 16:04:49 +0100

gtranslator (1.9.6-1) unstable; urgency=low

  * New upstream release.
    - Builds with the new GDL version (closes: #549764).
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Update debian/watch to format 3, and use download.gnome.org again.
  * Add a gtranslator.png symlink so GTranslator can have an application
    icon.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 Oct 2009 10:43:09 +0200

gtranslator (1.9.5-1) unstable; urgency=low

  * New upstream release.
  * Update copyright, upstream has added an OpenSSL exception to the
    Subversion plugin licence, however I'm not sure if that licence
    change should include the entire gtranslator codebase.
  * Remove 01_manpage_hyphen.patch, applied upstream.
  * Remove Build-Depends on libglade2-dev and bump libgtk2.0-dev to 2.16,
    gtranslator has been ported to GtkBuilder.

 -- Jordi Mallach <jordi@debian.org>  Sat, 25 Apr 2009 14:56:03 +0200

gtranslator (1.9.4-2) unstable; urgency=low

  * Upload to unstable.
  * Update Build-Depends to libgucharmap2-dev and remove left-over
    Build-Dep on libserf-0-0-dev, which makes libdb-dev uninstallable.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Mar 2009 11:59:01 +0100

gtranslator (1.9.4-1) experimental; urgency=low

  [ Jordi Mallach ]
  * New upstream development version. This branch is a complete rewrite
    that will eventually become 2.0.
    According to the new upstream, the following bugs should be fixed:
    - closes: #225324, Need to add space before every newline
    - closes: #254339, Search function doesn't handle non-ASCII content
    - closes: #256527, confuses "middle-dot" and "space" characters when
                       copy-pasting
    - closes: #257184, Popup window opens UNDER the main window and is thus
                       not visible
    - closes: #258039, Search function alway searches all of comments,
                       english and translation
    - closes: #269779, Plural window lakes the OK button
    - closes: #277771, Search again for # does not work
    - closes: #278805, unused strings are always treated as utf8, and
                       double-encoded
    - closes: #295392, chosing Help->gtranslator website doesn't work
    - closes: #301608, To break lines with 80 columns for translation of
                       the templates.pot
    - closes: #313346, allow arbitrary translation teams
    - closes: #330958, Pressing Enter should validate the Goto dialog
    - closes: #345916, With long comment gtranslator window is wider than
                       screen
    - closes: #353798, improper use of GError
    - closes: #355018, destroys plural msgstr structure in po file
    - closes: #357994, file incorrectly reported as already opened
  * Update Build-Depends to match requirements as declared by configure.ac.
  * Update menu section to "Applications".
  * Remove obsolete patches 01_pozilla_bash.patch,
    02_hebrew-translation-list.patch and
    30_superfluous-underscores-in-desktop-file.patch.
  * Don't remove src/defines.h, po/POTFILES and data/gtranslator.desktop,
    these workarounds shouldn't be needed anymore.
  * Update Build-Depends to libgdl-1-dev (>= 2.24.0), which is the first
    version not needing an undeclared libgnomeui-dev dependency, which
    broke gtranslator's build.
  * Add Build-Depends on libgdict-1.0-dev for the gdict plugin.
  * Add " -Wl,-O1 -Wl,-z,defs -Wl,--as-needed" to LDFLAGS to avoid
    extra dependencies as suggested by Loïc Minier.
  * Don't uupdate on the watch file.
  * Build-Depend on libapr1-dev, libaprutil1-dev, libneon27-gnutls-dev,
    libserf-0-0-dev and libsasl2-dev to get the Subversion plugin building.
  * Add --disable-scrollkeeper to DEB_CONFIGURE_EXTRA_FLAGS.
  * Add complete authorship and copyright details to the copyright file.
  * Add 01_manpage_hyphen.patch (also applied upstream) to fix a non-escaped
    hyphen in Gtranslator's manpage.

  [ Emilio Pozuelo Monfort ]
  * Standards-Version is 3.8.0, no changes needed.
  * Disable subversion plugin, as gtranslator is GPL and the subversion
    plugin links againt OpenSSL.
    + Remove subversion plugin's build dependencies.
  * Remove -Wl,-z,defs from LDFLAGS as that makes the build fail.
  * Exclude the private libraries from the dh_makeshlibs run.
  * Don't install the static libraries.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Feb 2009 16:27:24 +0100

gtranslator (1.1.7-4) unstable; urgency=low

  [ Loic Minier ]
  * Use sf.net in watch file; closes: #449717.

  [ Josselin Mouette ]
  * 01_pozilla_bash.patch: use /bin/bash as the script heavily uses bash
    features. Closes: #464980.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Move homepage to its own field in the source stanza.

  [ Jordi Mallach ]
  * Add Vcs-* fields.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Jul 2008 18:31:36 +0200

gtranslator (1.1.7-3) unstable; urgency=low

  * Remove desktop/gtranslator.desktop in clean instead of patching it in
    30_superfluous-underscores-in-desktop-file; fixes FTBFS on double build;
    closes: #424395.
  * Wrap build-deps and deps.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Wed, 16 May 2007 16:24:34 +0200

gtranslator (1.1.7-2) unstable; urgency=high

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New patch, 30_superfluous-underscores-in-desktop-file, makes gtranslator
    appear in GNOME menu again; thanks Sébastien Bacher; Malone #91862.

 -- Loic Minier <lool@dooz.org>  Tue, 13 Mar 2007 16:14:41 +0100

gtranslator (1.1.7-1) unstable; urgency=low

  * New upstream stable release; fix for the crasher (see 1.1.6-8), fix for
    custom font (closes: #225570), improve Content-Type's charset parsing,
    new translation, new supported languages.
    - Drop patch 01_gcc-4.0_xmlSetProp_signedness, the affected upstream code
      was redundant and hence dropped in this release.
    - Drop patch 10_unref-selection-buffer, merged upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 28 Nov 2006 11:15:17 +0100

gtranslator (1.1.6-8) unstable; urgency=high

  * Drop patch 10_nullify-static-selection-buffer and replace it with
    10_unref-selection-buffer; thanks Dafydd Harries; closes: #400048.

 -- Loic Minier <lool@dooz.org>  Mon, 27 Nov 2006 15:32:41 +0100

gtranslator (1.1.6-7) unstable; urgency=low

  * New patch, 10_nullify-static-selection-buffer, to set the static
    selection_buffer to NULL after g_free()ing it; fixes a double free()
    crasher; thanks Martin Hawlisch for the report and bt; closes: #400048.

 -- Loic Minier <lool@dooz.org>  Sat, 25 Nov 2006 13:50:47 +0100

gtranslator (1.1.6-6) unstable; urgency=low

  * Rebuild against unstable's glib, ups.

 -- Loic Minier <lool@dooz.org>  Thu, 17 Aug 2006 19:58:21 +0200

gtranslator (1.1.6-5) unstable; urgency=low

  * Bump up Standards-Version to 3.7.2.
  * Bump up Debhelper compatibility level to 5.
  * New patch, 02_hebrew-translation-list, to set the Hebrew translation list
    as suggested by Lior Kaplan. (Closes: #382629)

 -- Loic Minier <lool@dooz.org>  Thu, 17 Aug 2006 19:02:28 +0200

gtranslator (1.1.6-4) unstable; urgency=low

  * debian/menu: add "l10n,gettext" hints to be in sync with PoEdit, as
    discussed on the BTS (closes: #311739), and add some missing quoting.
  * debian/control: bump Standards-Version to 3.6.2.1 (no changes required).

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Mar 2006 15:04:24 +0100

gtranslator (1.1.6-3) unstable; urgency=low

  * debian/rules: cleanup src/includes.h before building (closes: #319046).
  * debian/control.in: revert change in -2 as the C++ transition didn't
    affect libaspell after all.

 -- Jordi Mallach <jordi@debian.org>  Wed, 10 Aug 2005 13:01:48 +0200

gtranslator (1.1.6-2) unstable; urgency=low

  * debian/control.in: build-depend on libgtkspell-dev (>= 2.0.10-3) for
    the C++ ABI transition.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Jul 2005 17:54:08 +0300

gtranslator (1.1.6-1) unstable; urgency=low

  * New upstream release.
    - fixes "fuzzy strings can get negative" (closes: #257183).
  * debian/patches/02_content_type_parsing.patch: removed, applied upstream.
  * debian/control.in: add libgtkspell-dev to build-depends.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 Feb 2005 13:01:45 +0100

gtranslator (1.1.5-2) unstable; urgency=low

  * Jordi Mallach:
    - debian/{control.in,copyright}: fix upstream URL, gtranslator.org does
      not exist anymore (closes: #254469, #264667).
    - debian/patches/01_gcc4.0_xmlSetProp_signedness.patch: fix FTBFS using
      gcc-4.0 on amd64 (closes: #286952).
  * Loic Minier:
    - debian/patches/02_content_type_parsing.patch: fix parsing of
      Content-Type field in .po files (might break with po files which
      were relying on the old behavior) (closes: #242927).

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 Jan 2005 00:42:05 +0100

gtranslator (1.1.5-1) unstable; urgency=low

  * New upstream release.
    + doesn't use -Werror by default anymore.
    + fixes a few compile warnings (closes: #250449).
    + fixes truncated translator comments (closes: #238998).
    + fixes "Please enter your name" bug (closes: #228146).
    + fixes crashes when toggling fuzzy status (closes: #225239).
    + changes keybinding to move between messages to make it compatible
      with common GNOME bindings, using Alt (closes: #241305).
    + fixes a gnome-vfs2 conflict for the "application/x-po-Z" MIME type
      (closes: #229552).
    + fixes bad display of the comment window (closes: #225536).
  * debian/control.in: require libgnomeui (>= 2.6).

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 May 2004 15:56:44 +0200

gtranslator (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: rename to control.in for autogeneration.
  * debian/control.in:
    + add GNOME Team required changes.
    + add build dependency on libxml-parser-perl.
    + change short description a bit.
  * debian/rules:
    + include gnome-pkg-tools cdbs rule to autogenerate debian/control.
    + include simple-patchsys.mk.
  * debian/patches/01_use_libgnomeui_colorpicker.patch: revert patch to use
    GtkColorPicker, only available in GTK 2.3.

 -- Jordi Mallach <jordi@debian.org>  Tue, 20 Jan 2004 15:48:35 +0100

gtranslator (1.0-3) unstable; urgency=low

  * debian/postinst: removed temporarily. Right now, the script only tried to
    register schemas, which don't yet exist in gtranslator 1.0. Older packages
    of gtranslator may have left behind a schema file which is now unusable
    due to a non-UTF-8 encoding, making the package uninstallable
    (closes: #210569).

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Sep 2003 12:47:33 +0200

gtranslator (1.0-2) unstable; urgency=low

  * debian/control:
    + build-depend on scrollkeeper.
    + extend the description mentioning the project url and a few features.
  * debian/copyright: change Fatih's email address.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Sep 2003 13:34:58 +0200

gtranslator (1.0-1) unstable; urgency=low

  * New upstream release.
  * New maintainer, package resurrected.
  * Repackaged the tarball without a debian/ dir.
  * debian/control:
    + update Build-Depends: for the GNOME2 platform.
    + change the explicit scrollkeeper dep to ${misc:Depends}.
    + Standards-Version: 3.6.1.0.
  * debian/conffiles: removed.
  * debian/copyright:
    + updated upstream authors list.
    + added more packaging history info.
  * debian/{preinst,prerm,postrm}: removed, handled by debhelper.
  * debian/postinst: install schemas.
  * debian/rules: switch to CDBS.

 -- Jordi Mallach <jordi@debian.org>  Thu,  4 Sep 2003 12:29:38 +0200

gtranslator (0.43-2) unstable; urgency=low

  * Recompile against libgal21 (closes: #171242)
  * Remove /usr/doc transition code.

 -- Ryan Murray <rmurray@debian.org>  Thu,  5 Dec 2002 20:01:19 -0800

gtranslator (0.43-1) unstable; urgency=low

  * New upstream release
  * use -q option to scrollkeeper-update (closes: #151790)

 -- Ryan Murray <rmurray@debian.org>  Sat, 14 Sep 2002 01:03:58 -0700

gtranslator (0.42-1) unstable; urgency=low

  * New upstream release

 -- Ryan Murray <rmurray@debian.org>  Mon,  1 Jul 2002 03:16:39 -0700

gtranslator (0.41-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch file (version 2 style, which is needed to work correctly)

 -- Ryan Murray <rmurray@debian.org>  Sat, 27 Apr 2002 00:03:57 -0700

gtranslator (0.40-1) unstable; urgency=low

  * New upstream release

 -- Ryan Murray <rmurray@debian.org>  Fri,  1 Mar 2002 00:40:40 -0800

gtranslator (0.39.1+0.39.2.20020119-4) unstable; urgency=low

  * Comment out gconftool installation in package build
  * Install conffiles file (closes: #132846)
  * Install preinst script

 -- Ryan Murray <rmurray@debian.org>  Mon, 18 Feb 2002 00:51:55 -0800

gtranslator (0.39.1+0.39.2.20020119-3) unstable; urgency=low

  * Remove multiline strings (closes: #130382)

 -- Ryan Murray <rmurray@debian.org>  Sat, 26 Jan 2002 23:39:43 -0800

gtranslator (0.39.1+0.39.2.20020119-2) unstable; urgency=low

  * Run configure with /bin/sh, so it works if configure is not executable.

 -- Ryan Murray <rmurray@debian.org>  Sun, 20 Jan 2002 16:27:20 -0800

gtranslator (0.39.1+0.39.2.20020119-1) unstable; urgency=low

  * New CVS snapshot, requested by upstream
  * Recompile for libgal19
  * Add menu hint (closes: #121019)

 -- Ryan Murray <rmurray@debian.org>  Sat, 19 Jan 2002 21:31:10 -0800

gtranslator (0.39.1-1) unstable; urgency=low

  * New upstream release
  * Use gnome-doc-tools instead of docbook-tools
  * Change db2html calls to use gnome-db2html

 -- Ryan Murray <rmurray@debian.org>  Sun,  2 Dec 2001 11:26:33 -0800

gtranslator (0.39+0.39.1.20011009-2) unstable; urgency=low

  * Fix build for 64-bit architectures
  * Take upstream's fix for #117919

 -- Ryan Murray <rmurray@debian.org>  Sun, 11 Nov 2001 11:28:46 -0800

gtranslator (0.39+0.39.1.20011009-1) unstable; urgency=low

  * New upstream CVS snapshot (closes: #117946, #116579)
  * Update languages.c from latest cvs (closes: #114325)
  * Change flag value from -1 to '\0' (closes: #117919)

 -- Ryan Murray <rmurray@debian.org>  Fri,  9 Nov 2001 17:23:21 -0800

gtranslator (0.39-2) unstable; urgency=low

  * Apply upstream patch that should allow building on 64-bit archs.
  * Recompile for libgal14

 -- Ryan Murray <rmurray@debian.org>  Tue, 16 Oct 2001 23:26:38 -0700

gtranslator (0.39-1) unstable; urgency=low

  * New upstream release (closes: #110526)

 -- Ryan Murray <rmurray@debian.org>  Sat,  8 Sep 2001 01:29:58 -0700

gtranslator (0.38-3) unstable; urgency=low

  * Recompile for libgal8

 -- Ryan Murray <rmurray@debian.org>  Sun, 22 Jul 2001 13:49:25 -0700

gtranslator (0.38-2) unstable; urgency=low

  * Updated build depends (closes: #103512)

 -- Ryan Murray <rmurray@debian.org>  Wed, 11 Jul 2001 09:32:56 -0700

gtranslator (0.38-1) unstable; urgency=low

  * New upstream release (closes: #98112)
  * New Maintainer
  * Update build-depends (closes: #88207)
  * Build nautilus view
  * Remove pozilla.sh.1 manpage (one exists upstream)

 -- Ryan Murray <rmurray@debian.org>  Sat,  2 Jun 2001 08:39:58 -0700

gtranslator (0.35-2) unstable; urgency=low

  * Fix build-depends (Closes: #88207)
  * Include a useful manpage for pozilla.sh (Closes: #87632)

 -- Martijn van de Streek <martijn@foodfight.org>  Fri,  2 Mar 2001 08:55:34 +0100

gtranslator (0.35-1) unstable; urgency=low

  * New upstream version
  * Upstream cleanups: no more libraries

 -- Martijn van de Streek <martijn@foodfight.org>  Thu, 22 Feb 2001 20:43:21 +0100

gtranslator (0.32-1) unstable; urgency=low

  * New upstream version

 -- Martijn van de Streek <martijn@foodfight.org>  Sat, 13 Jan 2001 11:37:25 +0100

gtranslator (0.31-1) unstable; urgency=low

  * New upstream release

 -- Martijn van de Streek <martijn@foodfight.org>  Mon, 27 Nov 2000 20:17:01 +0100

gtranslator (0.30-1) unstable; urgency=low

  * New upstream version
  * Fix Build-Depends to include debhelper
  * Magic to close ITP (closes: #71653)

 -- Martijn van de Streek <martijn@foodfight.org>  Mon,  6 Nov 2000 14:35:52 +0100

gtranslator (0.21-1) unstable; urgency=low

  * Initial Release.

 -- Martijn van de Streek <martijn@foodfight.org>  Mon, 18 Sep 2000 22:19:41 +0200
